﻿using System;
using System.Collections.Generic;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Threading.Tasks;
using System.Windows;
using ELTE.BoardGame.Controller;
using ELTE.BoardGame.Model;
using ELTE.BoardGame.Persistence;

namespace ELTE.BoardGame
{
    public partial class App : Application
    {
        public App()
        {
            this.Startup += App_Startup;
        }

        private void App_Startup(object sender, StartupEventArgs e)
        {
            // függőség befecskendezés több szinten
            IPersistence persistence = new TextFilePersistence();
            BoardGameModel model = new ConnectFourModel(10, persistence);
            BoardGameController controller = new BoardGameController(model);

            controller.View.Show();
        }
    }
}
